package cz.muni.fi.pa165.books.jpa;

import java.util.List;

/**
 * Rozhraní pro manažera knih. Obsahuje základní CRUD (Create-Retrieve-Update-Delete) operace.
 */
public interface BookDAO {

    void createBook(BookEntity book);

    BookEntity getBookById(int id);

    List<BookEntity> getAllBooks();

    void updateBook(BookEntity book);

    void deleteBook(BookEntity book);

}
