package cz.muni.fi.pa165.books;

import java.util.List;

/**
 * Interface for book service.
 *
 * @author Martin Kuba makub@ics.muni.cz
 */
public interface BookService {

    List<Book> getAllBooks();

    void createBook(Book book);

    Book getBook(Long id);

    void updateBook(Book book);

    void deleteBook(Book book);

    List<Customer> getAllCustomers();

    void createCustomer(Customer customer);

    Customer getCustomer(Long id);

    void updateCustomer(Customer customer);

    void deleteCustomer(Customer customer);

}
